心智份额预测

GET /forecasts/mindshare
GetMindshareForecast

某项资产的 mindshare 在未来 72 小时内可能的走向,以结果范围及其概率表示。series 给出每 4 小时的分布;chance_higher_72h 和 likely_low_share 到 likely_high_share 概括其落点;takeoff_chance_72h 是关注度突然激增的概率。

预测会在有关该资产的新帖子发布后一分钟内更新,且至少每 15 分钟更新一次。refresh=true 会基于最新数据在约 5 秒内重新计算;如果耗时超过 20 秒,你将获得带有 refreshed: false 的最新预测,按 5 计费。没有预测的资产会返回 status: not_forecastable 和 reason;/forecasts/assets 列出了有预测的资产。

消耗 5 个积分,使用 refresh=true 时为 10 个。not_forecastable 答案为免费,每个账号每小时最多 30 次;超过后该端点会返回 429,直到整点重置。

此操作不支持钱包支付;请使用账号认证。x402 支付指南。

参数

asset_id string QUERY 必填

来自 /assets 或 /search 的资产 ID,例如 NVDA、GLD、SPX 或 bitcoin。请与随其一同返回的 asset_class 一起发送。

Example:NVDA

asset_class string QUERY 必填

asset_id 所指资产的类别:equity(股票和 ETF)、commodity、index 或 crypto。请发送 /assets 或 /search 随 asset_id 一同返回的 asset_class。

允许的值
equitycommodityindexcrypto

Example:equity

refresh boolean QUERY

true 表示基于最新数据重新计算预测:10 个积分,约 5 秒。默认为 false。

Example:false

cURL 示例

curl --get \
  --url 'https://nebula-api.hiddensystems.ai/api/v1/public/forecasts/mindshare' \
  --data-urlencode 'asset_id=NVDA' \
  --data-urlencode 'asset_class=equity' \
  --header 'X-API-Key: YOUR_API_KEY'

响应

200 OK
400 错误请求
401 未授权
402 Credits 已用尽;响应中包含续期时间和已购买的 credit 余额
403 禁止访问
404 未找到
405 方法不被允许;Allow 响应头列出了支持的方法
429 请求过多
500 内部服务器错误
503 服务不可用

媒体类型 application/json

as_of
string (date-time) 必填

预测的 UTC 起始时间:即用于计算它的最后一个完整 15 分钟区间的结束时间。当该资产从未被评分时为 null。

chance_higher_72h
number (double) 必填

该股票在 72 小时后高于 current_share 的概率,取值 0 到 1。

current_share
number (double) 必填

该资产在 as_of 时的份额,取值 0 到 1:所有路径的起点,也是衡量各项概率的基准值。

horizon_hours
integer 必填

预测向前推进的时长,单位为小时:始终为 72。

likely_high_share
number (double) 必填

72 小时后份额的第 90 百分位数:有 90% 的概率最终低于该值。

likely_low_share
number (double) 必填

72 小时后份额的第 10 百分位数:有 90% 的概率最终高于该值。

reason
string 必填

该资产无法预测的原因:too_little_history、stale_data 或 missing_price。当 status 为 ok 时为 null。

允许的值
too_little_historystale_datamissing_pricenull
refreshed
boolean 必填

当本次请求重新运行了预测时为 true(refresh=true 且重新运行及时完成);当其为最新的五分钟定时预测时为 false。

sample_paths
array<array<number (double)>> 必填

份额的 24 条可能路径,每条都与 series 对齐。绘制它们以展示结果的分布范围。

series
array<object> 必填

从 as_of 起每 4 小时一次的预测分布:共 18 步,最早的在前。

series[].mean_share
number (double) 必填

该步的预期份额。

series[].p10_share
number (double) 必填

该步份额的第 10 百分位数,取值 0 到 1。

series[].p25_share
number (double) 必填

该步份额的第 25 百分位数,取值 0 到 1。

series[].p50_share
number (double) 必填

该步份额的第 50 百分位数,取值 0 到 1。

series[].p75_share
number (double) 必填

该步份额的第 75 百分位数,取值 0 到 1。

series[].p90_share
number (double) 必填

该步份额的第 90 百分位数,取值 0 到 1。

series[].quantile_shares
array<number (double)> 必填

该步份额的 21 个分位数:第 0、5、10……100 百分位数,由低到高排列。在它们之间插值即可得到落入任意区间的概率。

series[].timestamp
string (date-time) 必填

该步预测的 UTC 时间:as_of 加上 4、8……72 小时。

status
string 必填

ok,或当该资产无法预测时为 not_forecastable(此时摘要字段为 null,series 为空;reason 说明原因)。

允许的值
oknot_forecastable
takeoff_chance_72h
number (double) 必填

该资产在 72 小时内关注度突然激增的概率,取值 0 到 1。无估计值时为 null。

{
  "as_of": "2026-09-14T09:15:00Z",
  "chance_higher_72h": 0.63,
  "current_share": 0.0498,
  "horizon_hours": 72,
  "likely_high_share": 0.1022,
  "likely_low_share": 0.0331,
  "reason": null,
  "refreshed": false,
  "sample_paths": [
    [
      0.0502,
      0.0515,
      0.0531
    ],
    [
      0.0494,
      0.0488,
      0.0479
    ]
  ],
  "series": [
    {
      "mean_share": 0.0512,
      "p10_share": 0.039936000000000006,
      "p25_share": 0.045568000000000004,
      "p50_share": 0.050176,
      "p75_share": 0.055296000000000005,
      "p90_share": 0.063488,
      "quantile_shares": [
        0.0301,
        0.0352,
        0.0391,
        0.0418,
        0.0437,
        0.0451,
        0.0463,
        0.0474,
        0.0484,
        0.0493,
        0.0502,
        0.0511,
        0.0521,
        0.0532,
        0.0544,
        0.0557,
        0.0573,
        0.0594,
        0.0623,
        0.0671,
        0.0889
      ],
      "timestamp": "2026-09-14T13:15:00Z"
    },
    {
      "mean_share": 0.0523,
      "p10_share": 0.040794000000000004,
      "p25_share": 0.046547,
      "p50_share": 0.051254,
      "p75_share": 0.056484,
      "p90_share": 0.06485199999999999,
      "quantile_shares": [
        0.0301,
        0.0352,
        0.0391,
        0.0418,
        0.0437,
        0.0451,
        0.0463,
        0.0474,
        0.0484,
        0.0493,
        0.0502,
        0.0511,
        0.0521,
        0.0532,
        0.0544,
        0.0557,
        0.0573,
        0.0594,
        0.0623,
        0.0671,
        0.0889
      ],
      "timestamp": "2026-09-14T17:15:00Z"
    },
    {
      "mean_share": 0.0534,
      "p10_share": 0.041652,
      "p25_share": 0.047526000000000006,
      "p50_share": 0.052332000000000004,
      "p75_share": 0.05767200000000001,
      "p90_share": 0.066216,
      "quantile_shares": [
        0.0301,
        0.0352,
        0.0391,
        0.0418,
        0.0437,
        0.0451,
        0.0463,
        0.0474,
        0.0484,
        0.0493,
        0.0502,
        0.0511,
        0.0521,
        0.0532,
        0.0544,
        0.0557,
        0.0573,
        0.0594,
        0.0623,
        0.0671,
        0.0889
      ],
      "timestamp": "2026-09-14T21:15:00Z"
    }
  ],
  "status": "ok",
  "takeoff_chance_72h": 0.21
}